Subject: [Rmt] FLUTE Interoperability tests

From: [email-masked]
Date: Fri, 27 Feb 2004 10:26:44 +0200

> Hi all, 
> 
> For those interested, this is a status update on the Interoperability tests for FLUTE that we have done in the past few months. 
> 
> The tests started with implementations from Tampere University of Technology (TUT), INRIA and Nokia. University of Bremen also joined in later. The tests have been largely based on the FLUTE Interoperabiltiy Testing Guidelines Internet-draft http://www.ietf.org/internet-drafts/draft-mehta-rmt-flute-iop-01.txt. As recommended in the I-D, the MD5 checksum was used to check correctness of transmitted files. 
> 
> In general, all the tests were very successful and a high level of interoperability was achieved. It should be noted that all the above implementations are capable of using FLUTE on both unicast and multicast. Here are some more details:
> 
> 1. The first set of tests conducted were one-on-one unicast tests among the implementations from INRIA, TUT and Nokia. These tests were based on sections 5, 6, 7 and 10 of the Interoperability I-D. The basic tests conducted were to establish the proper operation of the implementations with regard to interpreting the FDT (File Delivery Table) defined by FLUTE. Interoperability was further tested with the transmission of single files, multiple files, and multiple large files within a session. All the tests were conducted using no Congestion Control and COMPACT NO CODE FEC (NULL FEC). 
> 
> 2. A further set of unicast one-on-one tests were conducted between four implementations (the University of Bremem implementation also became involved). The tests were similar to those in (1) above. Tests corresponding to section 5, 6, 7, 8 and 10 of the I-D were carried out.
> 
> 3. A series of multicast tests were conducted using mbone. These tests involved a sender from each implementation sending to multiple implementations. The tests were on the lines of sections 5, 6, 7, 8 and 10 of the Internet-draft, using NULL FEC and no RMT-based congestion control. 
> 
> 4. A series of advanced multicast tests were done among the TUT, INRIA and University of Bremen implementations. These were done using (i) Reed Solomon FEC 129 (ii) Multiple layers (RLC). The implementations were tested for interoperability with regard to the File Delivery Table, reception of single and multiple files of various sizes withing a single session and the correct reception and interpretation of FLUTE and file data. 
> 
(Since the implementers have sent details of their implementations and contacts to the RMT list I'm not repeating them here).

Regards, 
Harsh Mehta. 

_______________________________________________
Rmt mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rmt